Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrNodeTypeTemplate

    java.lang.Object
      org.modeshape.jcr.JcrNodeTypeTemplate

All Implemented Interfaces:
  NodeTypeDefinition, NodeTypeTemplate

    @NotThreadSafe
    public class JcrNodeTypeTemplate

extends Object
implements NodeTypeDefinition, NodeTypeTemplate

ModeShape implementation of the JCR NodeTypeTemplate interface

Method Summary
`NodeDefinition[]` | `getDeclaredChildNodeDefinitions()`
`PropertyDefinition[]` | `getDeclaredPropertyDefinitions()`
`String[]` | `getDeclaredSupertypeNames()` Get the direct supertypes for this node type.
`String` | `getName()`
`List<NodeDefinitionTemplate>` | `getNodeDefinitionTemplates()`
`String` | `getPrimaryItemName()`
`List<PropertyDefinitionTemplate>` | `getPropertyDefinitionTemplates()`
`boolean` | `hasOrderableChildNodes()`
`boolean` | `isAbstract()`
`boolean` | `isMixin()`
`boolean` | `isQueryable()` Get whether this node is queryable
`void` | `setAbstract(boolean isAbstract)`
`void` | `setDeclaredSuperTypeNames(String[] names)` Set the direct supertypes for this node type.
`void` | `setMixin(boolean mixin)`
`void` | `setName(String name)`
`void` | `setOrderableChildNodes(boolean orderable)`
`void` | `setPrimaryItemName(String name)` Passing a null or blank name is equivalent to "unsetting" (or removing) the primary item name.
`void` | `setQueryable(boolean queryable)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNodeDefinitionTemplates

    public List<NodeDefinitionTemplate> getNodeDefinitionTemplates()

  Specified by:
    `getNodeDefinitionTemplates` in interface `NodeTypeTemplate`
  See Also:
    `NodeTypeTemplate.getNodeDefinitionTemplates()`

### getPropertyDefinitionTemplates

    public List<PropertyDefinitionTemplate> getPropertyDefinitionTemplates()

  Specified by:
    `getPropertyDefinitionTemplates` in interface `NodeTypeTemplate`
  See Also:
    `NodeTypeTemplate.getPropertyDefinitionTemplates()`

### setAbstract

    public void setAbstract(boolean isAbstract)

  Specified by:
    `setAbstract` in interface `NodeTypeTemplate`
  See Also:
    `NodeTypeTemplate.setAbstract(boolean)`

### setDeclaredSuperTypeNames

    public void setDeclaredSuperTypeNames(String[] names)
                                   throws ConstraintViolationException

  Set the direct supertypes for this node type.

  Specified by:
    `setDeclaredSuperTypeNames` in interface `NodeTypeTemplate`
  Parameters:
    `names` - the names of the direct supertypes, or empty or null if there are none.
  Throws:
    `ConstraintViolationException`

### setMixin

    public void setMixin(boolean mixin)

  Specified by:
    `setMixin` in interface `NodeTypeTemplate`
  See Also:
    `NodeTypeTemplate.setMixin(boolean)`

### setName

    public void setName(String name)
                 throws ConstraintViolationException

  Specified by:
    `setName` in interface `NodeTypeTemplate`
  Throws:
    `ConstraintViolationException`
  See Also:
    `NodeTypeTemplate.setName(java.lang.String)`

### setOrderableChildNodes

    public void setOrderableChildNodes(boolean orderable)

  Specified by:
    `setOrderableChildNodes` in interface `NodeTypeTemplate`
  See Also:
    `NodeTypeTemplate.setOrderableChildNodes(boolean)`

### setPrimaryItemName

    public void setPrimaryItemName(String name)
                            throws ConstraintViolationException

  Passing a null or blank name is equivalent to "unsetting" (or removing) the primary item name.

  Specified by:
    `setPrimaryItemName` in interface `NodeTypeTemplate`
  Throws:
    `ConstraintViolationException`
  See Also:
    `type.NodeTypeTemplate#setPrimaryItemName(java.lang.String)`

### getDeclaredChildNodeDefinitions

    public NodeDefinition[] getDeclaredChildNodeDefinitions()

  Specified by:
    `getDeclaredChildNodeDefinitions` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.getDeclaredChildNodeDefinitions()`

### getDeclaredPropertyDefinitions

    public PropertyDefinition[] getDeclaredPropertyDefinitions()

  Specified by:
    `getDeclaredPropertyDefinitions` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.getDeclaredPropertyDefinitions()`

### getDeclaredSupertypeNames

    public String[] getDeclaredSupertypeNames()

  Get the direct supertypes for this node type.

  Specified by:
    `getDeclaredSupertypeNames` in interface `NodeTypeDefinition`
  Returns:
    the names of the direct supertypes, or an empty array if there are none

### getName

    public String getName()

  Specified by:
    `getName` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.getName()`

### getPrimaryItemName

    public String getPrimaryItemName()

  Specified by:
    `getPrimaryItemName` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.getPrimaryItemName()`

### hasOrderableChildNodes

    public boolean hasOrderableChildNodes()

  Specified by:
    `hasOrderableChildNodes` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.hasOrderableChildNodes()`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.isAbstract()`

### isMixin

    public boolean isMixin()

  Specified by:
    `isMixin` in interface `NodeTypeDefinition`
  See Also:
    `NodeTypeDefinition.isMixin()`

### isQueryable

    public boolean isQueryable()

  Get whether this node is queryable

  Specified by:
    `isQueryable` in interface `NodeTypeDefinition`
  Returns:
    true if the node is queryable; false otherwise

### setQueryable

    public void setQueryable(boolean queryable)

  Specified by:
    `setQueryable` in interface `NodeTypeTemplate`
  See Also:
    `NodeTypeTemplate.setQueryable(boolean)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.